### Method

# EDataServer WebDAVSession get_current_user_privilege_set_full_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_get_current_user_privilege_set_full_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      GSList** out_privileges,
      GHashTable** out_capabilities,
      GHashTable** out_allows,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets current user privileges for the `uri`, or, in case it’s `NULL`, for the URI defined in associated `ESource`, with optional read of the capabilities and what the user is allowed. See `e_webdav_session_options_sync()` for more information about the `out_capabilities` and `out_allows` values.

Free the returned `out_privileges` with g_slist_free_full (privileges, e_webdav_privilege_free); when no longer needed.

Available since: 3.26

#### Parameters

`uri`

  Type: `const gchar*`

  URI to issue the request for, or `NULL` to read from `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_privileges`

  Type: A list of `EWebDAVPrivilege*`

  Return location for a %GSList of `EWebDAVPrivilege`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`out_capabilities`

  Type: `GHashTable`

  Return location for DAV capabilities, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`out_allows`

  Type: `GHashTable`

  Return location for allowed operations, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.